org.jboss.resteasy.plugins.server.netty

## Class NettyHttpResponse

- java.lang.Object
- - org.jboss.resteasy.plugins.server.netty.NettyHttpResponse

- All Implemented Interfaces:
    HttpResponse

      public class NettyHttpResponse
      extends Object
      implements HttpResponse

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NettyHttpResponse(org.jboss.netty.channel.Channel channel, boolean keepAlive)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNewCookie(NewCookie cookie)`
    `org.jboss.netty.buffer.ChannelBuffer` | `getBuffer()`
    `MultivaluedMap<String,Object>` | `getOutputHeaders()`
    `OutputStream` | `getOutputStream()`
    `int` | `getStatus()`
    `boolean` | `isCommitted()`
    `boolean` | `isKeepAlive()`
    `void` | `reset()` reset status and headers.
    `void` | `sendError(int status)`
    `void` | `sendError(int status, String message)`
    `void` | `setOutputStream(OutputStream os)`
    `void` | `setStatus(int status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NettyHttpResponse

          public NettyHttpResponse(org.jboss.netty.channel.Channel channel,
                           boolean keepAlive)

  - ### Method Detail

    - #### setOutputStream

          public void setOutputStream(OutputStream os)

      Specified by:
        `setOutputStream` in interface `HttpResponse`

    - #### getBuffer

          public org.jboss.netty.buffer.ChannelBuffer getBuffer()

    - #### getStatus

          public int getStatus()

      Specified by:
        `getStatus` in interface `HttpResponse`

    - #### setStatus

          public void setStatus(int status)

      Specified by:
        `setStatus` in interface `HttpResponse`

    - #### getOutputHeaders

          public MultivaluedMap<String,Object> getOutputHeaders()

      Specified by:
        `getOutputHeaders` in interface `HttpResponse`

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Specified by:
        `getOutputStream` in interface `HttpResponse`
      Throws:
        `IOException`

    - #### addNewCookie

          public void addNewCookie(NewCookie cookie)

      Specified by:
        `addNewCookie` in interface `HttpResponse`

    - #### sendError

          public void sendError(int status)
                         throws IOException

      Specified by:
        `sendError` in interface `HttpResponse`
      Throws:
        `IOException`

    - #### sendError

          public void sendError(int status,
                       String message)
                         throws IOException

      Specified by:
        `sendError` in interface `HttpResponse`
      Throws:
        `IOException`

    - #### isCommitted

          public boolean isCommitted()

      Specified by:
        `isCommitted` in interface `HttpResponse`

    - #### reset

          public void reset()

      Description copied from interface: `HttpResponse`
      reset status and headers. Will fail if response is committed
      Specified by:
        `reset` in interface `HttpResponse`

    - #### isKeepAlive

          public boolean isKeepAlive()

Copyright © 2014. All Rights Reserved.